package com.gyee.runeconomy.controller;


import com.gyee.runeconomy.dto.R;
import com.gyee.runeconomy.dto.ResultMsg;
import com.gyee.runeconomy.model.auto.ProEconPointCode;
import com.gyee.runeconomy.service.auto.IProEconPointCodeService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 指标查询表 前端控制器
 * </p>
 *
 * @author wang
 * @since 2022-11-23
 */
@RestController
@RequestMapping("//pro-econ-point-code")
public class ProEconPointCodeController {


    @Autowired
    private IProEconPointCodeService proEconPointCodeService;


    @GetMapping(value = "/point_code_list")
    @ApiOperation(value = "指标点", notes = "指标点")
    public R getEconPointCodeList() {

        List<ProEconPointCode> list = proEconPointCodeService.getEconPointCodeList();
        if (null != list) {
            return R.data(ResultMsg.ok(list));
        } else {
            return R.data(ResultMsg.error());
        }
    }

}
